🌍 Astrocartography API, πŸ”· Human Design API and βœ‹ Palmistry API are now live. Ship them in your app today.

Tropical Transit Monthly

API tropical_transits/monthly returns a monthly report for a given date range that includes the start and end date of the month, ascendant, transit relations of various planets and their position, retrogrades and moon phases.
POSThttps://json.astrologyapi.com/v1/tropical_transits/monthly

Authentication

x-astrologyapi-keystringrequired

API access token used to authenticate requests. Send your access token in this custom header.

Accept-Languagestring

Preferred language for the response content. Supported: English - en.

Body parameters

dayintrequired

Date of birth, eg: 10

monthintrequired

Month of birth, eg: 5

yearintrequired

Year of birth, eg: 1990

hourintrequired

Hour of birth, eg: 19

minintrequired

Minute of birth, eg: 55

latfloatrequired

Latitude, eg: 19.2056

lonfloatrequired

Longitude, eg: 25.2056

tzonefloatrequired

Timezone, eg: 5.5

house_typestringrequired

Default : placidus // koch/topocentric/poryphry/equal_house/whole_sign

curl --location 'https://json.astrologyapi.com/v1/tropical_transits/monthly' \
  --header 'Content-Type: application/json' \
  --header 'x-astrologyapi-key: <YOUR_ACCESS_TOKEN>' \
  --data '{
    "day": 10,
    "month": 5,
    "year": 1990,
    "hour": 19,
    "min": 55,
    "lat": 19.2056,
    "lon": 25.2056,
    "tzone": 5.5,
    "house_type": "placidus"
}'
Try it

Runs with sample data β€” no API key needed

{
  "month_start_date": "1-6-2017",
  "month_end_date": "30-6-2017",
  "ascendant": "Leo",
  "transit_relation": [
    {
      "transit_planet": "Mars",
      "natal_planet": "Moon",
      "type": "Trine",
      "orb": 3.84,
      "date": "1-6-2017"
    },
    {
      "transit_planet": "Venus",
      "natal_planet": "Moon",
      "type": "Opposition",
      "orb": 1.27,
      "date": "1-6-2017"
    },
    {
      "transit_planet": "Venus",
      "natal_planet": "Jupiter",
      "type": "Conjunction",
      "orb": 0.44,
      "date": "1-6-2017"
    },
    {
      "transit_planet": "Saturn",
      "natal_planet": "Jupiter",
      "type": "Trine",
      "orb": 0.07,
      "date": "1-6-2017"
    },
    {
      "transit_planet": "Uranus",
      "natal_planet": "Moon",
      "type": "Opposition",
      "orb": 3.12,
      "date": "1-6-2017"
    },
    {
      "transit_planet": "Pluto",
      "natal_planet": "Moon",
      "type": "Square",
      "orb": 4.89,
      "date": "1-6-2017"
    },
    {
      "transit_planet": "Mercury",
      "natal_planet": "Sun",
      "type": "Conjunction",
      "orb": 0.57,
      "date": "3-6-2017"
    },
    {
      "transit_planet": "Venus",
      "natal_planet": "Mercury",
      "type": "Conjunction",
      "orb": 0.09,
      "date": "5-6-2017"
    },
    {
      "transit_planet": "Venus",
      "natal_planet": "Venus",
      "type": "Conjunction",
      "orb": 0.23,
      "date": "5-6-2017"
    },
    {
      "transit_planet": "Venus",
      "natal_planet": "Mars",
      "type": "Conjunction",
      "orb": 0.07,
      "date": "9-6-2017"
    },
    {
      "transit_planet": "Mercury",
      "natal_planet": "Ascendant",
      "type": "Sextile",
      "orb": 0.57,
      "date": "16-6-2017"
    },
    {
      "transit_planet": "Mercury",
      "natal_planet": "Moon",
      "type": "Trine",
      "orb": 0.78,
      "date": "18-6-2017"
    },
    {
      "transit_planet": "Saturn",
      "natal_planet": "Moon",
      "type": "Sextile",
      "orb": 0.03,
      "date": "24-6-2017"
    },
    {
      "transit_planet": "Venus",
      "natal_planet": "Ascendant",
      "type": "Square",
      "orb": 0.19,
      "date": "24-6-2017"
    },
    {
      "transit_planet": "Venus",
      "natal_planet": "Sun",
      "type": "Conjunction",
      "orb": 0.36,
      "date": "29-6-2017"
    }
  ],
  "retrogrades": [],
  "moon_phase": [
    {
      "phase_type": "Full Moon",
      "date": "2017-06-09T13:11:00.000Z",
      "sign": "Sagittarius",
      "house": 5
    },
    {
      "phase_type": "New Moon",
      "date": "2017-06-24T02:33:00.000Z",
      "sign": "Gemini",
      "house": 11
    }
  ]
}